import 'package:flutter/material.dart';
import 'package:krezus/pages/data/widgets/account_settings.dart';
import 'package:krezus/pages/data/widgets/categories_settings.dart';
import 'package:krezus/pages/data/widgets/import_settings.dart';
import 'package:krezus/pages/data/widgets/settings_settings.dart';

class DataPage extends StatelessWidget {
  const DataPage({super.key});

  @override
  Widget build(BuildContext context) {
    MediaQueryData mediaQuery = MediaQuery.of(context);
    return Center(
      child: Container(
        margin: const EdgeInsets.symmetric(vertical: 11, horizontal: 0),
        constraints: const BoxConstraints(
          maxWidth: 1000 
        ),
        child: ListView(
          padding: mediaQuery.padding.copyWith(left: 10.0, right: 10.0, bottom: 100.0),
          children: const [
            Text(
              'Settings',
              style: TextStyle(
                fontWeight: FontWeight.w900,
                fontSize: 35,
              ),
            ),
            SettingsSettings(),
            ImportSettings(),
            AccountSettings(),
            CategoriesSettings(),
          ]
        ),
      )
    );
  }
}